package com.bcxin.ins.third.build.taibao;

public enum TransType {

	EPIC_INS {public String getValue(){return "107001";} public String getName(){return "太保投保接口";}},
	
	EPIC_QUERY {public String getValue(){return "107002";} public String getName(){return "太保查询保单接口";}},
	
	EPIC_EPOLICY {public String getValue(){return "107003";} public String getName(){return "太保电子保单接口";}},

	EPIC_INS_XW {public String getValue(){return "120043";} public String getName(){return "太保小微投保接口";}},

	EPIC_CB_XW {public String getValue(){return "120044";} public String getName(){return "太保小微承保接口";}},

	EPIC_YX_XW {public String getValue(){return "121001";} public String getName(){return "太保小微影像接口";}},

	EPIC_DZBD_XW {public String getValue(){return "120046";} public String getName(){return "太保小微电子保单查询接口";}};

    public abstract String getValue();
    
    public abstract String getName();

	public static String getAlias(String value){
		for(TransType e : TransType.values()){
			if(e.getValue().equals(value)){
				return e.getName();
			}
		}
		return "";
	}
}
